V7.0
get
/ec-dc-svc/rest/v7.0/studies/{studyId}/{mode}/repeatSection/repeatInstanceNumbers
Returns list of repeat form numbers, form section IDs and repeat instance numbers that belong to a given subject, visit and form.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
eventId(required): string(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
CBCDEF1234567890ABCDEF1234567890 -
eventInstanceNumber: string
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
formId(required): string(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
includeDel: integer(int64)
Include previous version of the record in to account. If the value is set to 0 then previous versions of the record are not taken into consideration and vice-versa.Example:
0 -
subjectId(required): string(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
BBCDEF1234567890ABCDEF1234567890
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.